### POST /tag
* method: POST
* version: v1.0
* describe: 新建标签

PUT /tag/{tagId}
* method: PUT
* version: v1.0
* describe: 修改标签

##### 参数说明
| name | type | desc |
|------|:-----|:----:|
| id | string | id |
| name | string | 名称 |
| type | string | 类型 |
| groupId | string | 标签组id |
| status| string| 状态 |
| itemList | array | itemId list, 带顺序 |
> 新建不带id, 修改需要id

##### 返回字段说明
| name | type | desc |
|------|:-----|:----:|
| id | string | id |
| name | string | 名称 |
| type | string | 类型 |
| merchantId | string | 渠道id |
| groupId | string | 标签组id |
| groupName| string | 标签组名称 |
| status| string| 状态 |
| gmtCreated|int | 创建时间 |
| gmtModified|int|修改时间|

##### 结果示例
```
{
    "code": 200,
    "success": true,
    "message": null,
    "data": {
        "id": "1",
        "name": "001",
        "groupId": "d513401461284feea555a3e0abc5974a",
        "sort": 1,
        "type": "COURSE",
        "status": "NORMAL",
        "gmtCreated": 1512956695000,
        "gmtModified": 1512971472000,
        "merchantId": null,
        "groupName": null,
        "productList": [
            {
                "id": "061bf606584c4efdab1e0e6b7a71893b",
                "subId": "b3bfc6d5b15e474c95db98bd754cfeaf",
                "code": "K-test-311",
                "name": "小学310",
                "type": "COURSE",
                "merchantId": "87",
                "sort": 2,
                "status": "SALE",
                "gmtCreated": 1512981450000,
                "gmtModified": 1512981450000,
                "priceList": null,
                "tagList": null,
                "course": null,
                "support": null
            }
        ]
    }
}
```
