# 数据库文档

<a name="返回顶部"></a>

## 数据表列表

* [p_course()](#p_course_pointer)

* [p_course_sub_relation()](#p_course_sub_relation_pointer)

* [p_course_support_relation()](#p_course_support_relation_pointer)

* [p_courseware()](#p_courseware_pointer)

* [p_goods()](#p_goods_pointer)

* [p_lesson()](#p_lesson_pointer)

* [p_lesson_ware_relation()](#p_lesson_ware_relation_pointer)

* [p_merchant_product()](#p_merchant_product_pointer)

* [p_package()](#p_package_pointer)

* [p_package_product_relation()](#p_package_product_relation_pointer)

* [p_product()](#p_product_pointer)

* [p_product_tag_relation()](#p_product_tag_relation_pointer)

* [p_recommend()](#p_recommend_pointer)

* [p_support()](#p_support_pointer)

* [p_support_reference()](#p_support_reference_pointer)

* [p_tag()](#p_tag_pointer)

* [p_tag_group()](#p_tag_group_pointer)

* [r_resource()](#r_resource_pointer)

* [t_order()](#t_order_pointer)

* [t_order_detail()](#t_order_detail_pointer)

* [t_order_goods_relation()](#t_order_goods_relation_pointer)

* [t_order_product_snapshot()](#t_order_product_snapshot_pointer)

* [u_buy_msg()](#u_buy_msg_pointer)

* [u_campus()](#u_campus_pointer)

* [u_cms_user()](#u_cms_user_pointer)

* [u_collection()](#u_collection_pointer)

* [u_device_bind()](#u_device_bind_pointer)

* [u_device_bind_log()](#u_device_bind_log_pointer)

* [u_event_log()](#u_event_log_pointer)

* [u_ledger()](#u_ledger_pointer)

* [u_merchant()](#u_merchant_pointer)

* [u_operation_log()](#u_operation_log_pointer)

* [u_resource()](#u_resource_pointer)

* [u_role()](#u_role_pointer)

* [u_role_resource_relation()](#u_role_resource_relation_pointer)

* [u_shop_cart()](#u_shop_cart_pointer)

* [u_terminal_user()](#u_terminal_user_pointer)

* [u_user_role()](#u_user_role_pointer)



## 数据表说明

<a name="p_course_pointer"></a>

* p_course表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|课程id|
|code|varchar(255)|课程编码|
|name|varchar(255)|名字, 标题加副标题|
|cover_url|varchar(255)|封面图路径|
|bg_url|varchar(255)|背景图路径|
|cp_id|varchar(255)|供应商id|
|detail|varchar(2048)|详情介绍|
|digest|varchar(1024)|简介|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|keyword|varchar(255)|关键词|
|status|int(11)|状态|
|title|varchar(255)|标题|
|type|int(11)|课程类型|
|sub_title|varchar(255)|副标题|
|breadcrumb|varchar(255)|前端导航名|

<a name="p_course_sub_relation_pointer"></a>

* p_course_sub_relation表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|course_id|varchar(255)|课程id|
|gmt_created|timestamp|创建时间|
|sort|int(11)|课的排序字段|
|status|int(11)|状态|
|sub_id|varchar(255)|子id|
|type|int(11)|类型, unit:0, lesson:1|

<a name="p_course_support_relation_pointer"></a>

* p_course_support_relation表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|course_id|varchar(255)|课程id|
|gmt_created|timestamp|创建时间|
|sort|int(11)|配套的顺序|
|status|int(11)|状态|
|support_id|varchar(255)|配套id|

<a name="p_courseware_pointer"></a>

* p_courseware表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|code|varchar(255)|课件编码|
|cp_id|varchar(255)|提供商id|
|digest|varchar(1024)|简介|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|title|varchar(255)|标题|
|resource_list|varchar(255)|资源id数组|
|status|int(11)|状态|
|category|varchar(255)|环节|

<a name="p_goods_pointer"></a>

* p_goods表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|charge_unit|varchar(255)|计价单位|
|cp_price|decimal(19,2)|供应商价格|
|duration|int(11)|使用时长|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|merchant_id|varchar(255)|渠道id|
|merchant_price|decimal(19,2)|渠道价格|
|pid|varchar(255)|产品id|
|sort|int(11)|排序|
|status|int(11)|状态|
|terminal_price|decimal(19,2)|终端价格|
|type|int(11)|商品类型|
|cp_id|varchar(255)|供应商id|
|pkg_id|varchar(255)|课程包id|

<a name="p_lesson_pointer"></a>

* p_lesson表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|code|varchar(255)|课编码|
|digest|varchar(1024)|简介|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|title|varchar(255)|课标题|
|status|int(11)|状态|

<a name="p_lesson_ware_relation_pointer"></a>

* p_lesson_ware_relation表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|gmt_created|timestamp|创建时间|
|lesson_id|varchar(255)|课程id|
|sort|int(11)|顺序|
|status|int(11)|状态|
|ware_id|varchar(255)|课件id|

<a name="p_merchant_product_pointer"></a>

* p_merchant_product表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|code|varchar(255)|产品编码|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|merchant_id|varchar(255)|渠道id|
|name|varchar(255)|title + sub_title|
|pid|varchar(255)|产品id|
|sort|int(11)|排序字段|
|status|int(11)|状态|
|type|int(11)|产品类型, 0:课程, 1:周边, 2:课程包|

<a name="p_package_pointer"></a>

* p_package表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|code|varchar(255)|编码|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|name|varchar(255)|课程包名|
|sort|int(11)|排序字段|
|status|int(11)|状态|

<a name="p_package_product_relation_pointer"></a>

* p_package_product_relation表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|cp_price|decimal(19,2)|供应商价格|
|gmt_created|timestamp|创建时间|
|pid|varchar(255)|产品id|
|sort|int(11)|产品在课程包中顺序|
|status|int(11)|状态|
|pkg_id|varchar(255)|课程包id|
|merchant_price|decimal(19,2)|渠道价格|

<a name="p_product_pointer"></a>

* p_product表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|code|varchar(255)|产品编码|
|cp_id|varchar(255)|供应商id|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|name|varchar(255)|名字，title + sub_title|
|pid|varchar(255)|产品id|
|status|int(11)|状态|
|type|int(11)|0:课程,1:周边,2:课程包|

<a name="p_product_tag_relation_pointer"></a>

* p_product_tag_relation表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|gmt_created|timestamp|创建时间|
|merchant_id|varchar(255)|渠道id|
|pid|varchar(255)|产品id|
|sort|int(11)|产品在标签下的排序|
|status|int(11)|状态|
|tag_id|varchar(255)|标签id|

<a name="p_recommend_pointer"></a>

* p_recommend表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|merchant_id|varchar(255)|渠道id|
|pid|varchar(255)|产品id|
|sort|int(11)|排序|
|status|int(11)|状态|
|type|int(11)|类型，同产品|

<a name="p_support_pointer"></a>

* p_support表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|code|varchar(255)|编码|
|cp_id|varchar(255)|供应商id|
|detail|varchar(2048)|周边介绍|
|digest|varchar(2014)|简介|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|img_list|varchar(255)|图片相对路径数组|
|name|varchar(255)|检索名字,title+sub_title|
|status|int(11)|状态|
|title|varchar(255)|标题|
|type|int(11)|类型为1|
|cover_url|varchar(255)|封面图相对路径|
|sub_title|varchar(255)|副标题|

<a name="p_support_reference_pointer"></a>

* p_support_reference表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|fid|varchar(255)|周边id|
|gmt_created|timestamp|创建时间|
|sort|int(11)|排序|
|status|int(11)|状态|
|tid|varchar(255)|关联周边id|

<a name="p_tag_pointer"></a>

* p_tag表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|group_id|varchar(255)|标签组id|
|merchant_id|varchar(255)|渠道id|
|name|varchar(255)|标签名|
|sort|int(11)|排序|
|status|int(11)|状态|

<a name="p_tag_group_pointer"></a>

* p_tag_group表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|code|varchar(255)|编码|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|merchant_id|varchar(255)|渠道id|
|name|varchar(255)|标签组名字|
|sort|int(11)|排序|
|status|int(11)|状态|

<a name="r_resource_pointer"></a>

* r_resource表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|code|varchar(255)|编码|
|format|varchar(255)|格式|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|name|varchar(255)|名字|
|path|varchar(255)|相对路径|
|quality|varchar(255)|分辨率/码率|
|size|bigint(20)|大小|
|status|int(11)|状态|
|type|int(11)|类型|

<a name="t_order_pointer"></a>

* t_order表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|address|varchar(1024)|收货地址|
|adjust_price|decimal(19,2)|调整价格|
|final_price|decimal(19,2)|成交价格|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|mobile|varchar(255)|收货人手机号|
|name|varchar(255)|收货人姓名|
|note|varchar(255)|备注|
|origin_price|decimal(19,2)|原始价格|
|status|int(11)|状态|
|uid|varchar(255)|终端账号id|
|order_status|int(11)|订单状态|
|split_status|int(11)|拆分状态|
|merchant_id|varchar(255)|渠道id|
|serial_no|varchar(255)|订单流水号|

<a name="t_order_detail_pointer"></a>

* t_order_detail表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|address|varchar(1024)|收货地址|
|adjust_price|decimal(19,2)|调整价格|
|final_price|decimal(19,2)|成交价格|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|mobile|varchar(255)|收货人手机号|
|name|varchar(255)|收货人姓名|
|note|varchar(255)|备注|
|order_id|varchar(255)|母订单id|
|origin_price|decimal(19,2)|原始价格|
|status|int(11)|有效状态|
|track_no|varchar(255)|运单号|
|uid|varchar(255)|终端账号id|
|cp_id|varchar(255)|供应商id|
|order_status|int(11)|订单状态|
|type|int(11)|订单类型, 实物还是虚拟物品|
|merchant_id|varchar(255)|渠道id|
|serial_no|varchar(255)|子订单流水号|

<a name="t_order_goods_relation_pointer"></a>

* t_order_goods_relation表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|detail_id|varchar(255)|子订单id|
|gmt_created|timestamp|创建时间|
|goods_id|varchar(255)|商品id|
|order_id|varchar(255)|母订单id|
|pid|varchar(255)|产品id|
|quantity|int(11)|数量|
|type|int(11)|商品类型|

<a name="t_order_product_snapshot_pointer"></a>

* t_order_product_snapshot表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|campus_code|varchar(255)|校区编码|
|campus_id|varchar(255)|校区id|
|campus_name|varchar(255)|校区名称|
|charge_unit|varchar(255)|收费单位|
|cp_id|varchar(255)|供应商id|
|cp_name|varchar(255)|供应商名字|
|cp_price|decimal(19,2)|供应商价格|
|duration|int(11)|购买时长|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|goods_id|varchar(255)|商品id|
|merchant_id|varchar(255)|渠道id|
|merchant_name|varchar(255)|渠道名字|
|merchant_price|decimal(19,2)|渠道价格|
|order_id|varchar(255)|订单id|
|pid|varchar(255)|产品id|
|pkg_id|varchar(255)|课程包id|
|product_code|varchar(255)|产品编码|
|product_name|varchar(255)|产品名字|
|product_type|int(11)|产品类型|
|quantity|int(11)|购买数量|
|status|int(11)|状态|
|terminal_price|decimal(19,2)|终端价格|
|uid|varchar(255)|终端账号id|
|user_code|varchar(255)|终端账号|
|user_name|varchar(255)|终端名|
|detail_id|varchar(255)|子订单id|

<a name="u_buy_msg_pointer"></a>

* u_buy_msg表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|goods_id|varchar(255)|商品id|
|pid|varchar(255)|产品id|
|status|int(11)|状态|
|user_id|varchar(255)|用户id|

<a name="u_campus_pointer"></a>

* u_campus表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|address|varchar(1024)|联系人地址|
|bank_account|varchar(255)|银行账号|
|city_name|varchar(255)|城市名字|
|code|varchar(255)|校区编码|
|contact_name|varchar(255)|联系人姓名|
|deposit_bank|varchar(255)|开户行|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|merchant_id|varchar(255)|渠道id|
|mobile|varchar(255)|联系人电话|
|name|varchar(255)|校区全名|
|province_code|varchar(255)|省份代码|
|serial_no|int(11)|校区流水号|
|zone_name|varchar(255)|校区名|

<a name="u_cms_user_pointer"></a>

* u_cms_user表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|avatar|varchar(255)|头像|
|birthday|datetime|生日|
|domain|int(11)|平台类型|
|gender|int(11)|性别|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|is_admin|bit(1)|是否管理员|
|mail|varchar(255)|邮箱|
|merchant_id|varchar(255)|渠道id|
|mobile|varchar(255)|手机号|
|name|varchar(255)|名字|
|nick_name|varchar(255)|昵称|
|password|varchar(255)|密码|
|qq|varchar(255)|qq|
|status|int(11)|状态|
|we_chat|varchar(255)|微信号|

<a name="u_collection_pointer"></a>

* u_collection表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|pid|varchar(255)|产品id|
|status|int(11)|状态|
|type|int(11)|类型|
|user_id|varchar(255)|终端账号id|

<a name="u_device_bind_pointer"></a>

* u_device_bind表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|brand|varchar(255)|终端品牌|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|ip|varchar(255)|ip|
|model_no|varchar(255)|型号|
|status|int(11)|状态|
|user_id|varchar(255)|用户id|
|device_code|varchar(255)|终端唯一标识|

<a name="u_device_bind_log_pointer"></a>

* u_device_bind_log表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|brand|varchar(255)|品牌|
|device_code|varchar(255)|终端唯一标识|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|ip|varchar(255)|ip|
|model_no|varchar(255)|型号|
|status|int(11)|状态|
|user_id|varchar(255)|终端账号id|

<a name="u_event_log_pointer"></a>

* u_event_log表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|event_type|int(11)|事件类型|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|merchant_id|varchar(255)|渠道id|
|platform_type|int(11)|平台类型|
|status|int(11)|状态|
|tar_id|varchar(255)|操作对象id|
|tar_name|varchar(255)|操作对象名称|
|user_id|varchar(255)|用户id|
|value|int(11)|事件的值|

<a name="u_ledger_pointer"></a>

* u_ledger表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|balance_after|decimal(19,2)|变动前余额|
|balance_before|decimal(19,2)|变动后余额|
|gmt_created|timestamp|创建时间|
|merchant_id|varchar(255)|渠道id|
|note|varchar(255)|备注|
|quantity|decimal(19,2)|变动数量|
|receipt_id|varchar(255)|订单id|
|type|int(11)|类型|

<a name="u_merchant_pointer"></a>

* u_merchant表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|balance|decimal(19,2)|余额|
|bank_account|varchar(255)|银行账号|
|code|varchar(255)|编码|
|deposit_bank|varchar(255)|开户行|
|domain|int(11)|平台类型|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|license_id|varchar(255)|营业执照编码|
|name|varchar(255)|名字|
|receipt_type|int(11)|发票类型|
|status|int(11)|状态|
|tax_number|varchar(255)|纳税人识别号|
|contact_name|varchar(255)|联系人|
|mobile|varchar(255)|联系电话|

<a name="u_operation_log_pointer"></a>

* u_operation_log表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)||
|domain|int(11)||
|gmt_created|timestamp||
|ip|varchar(255)||
|merchant_id|varchar(255)||
|merchant_name|varchar(255)||
|method_name|varchar(255)||
|param_json|varchar(255)||
|request_url|varchar(255)||
|user_id|varchar(255)||
|user_name|varchar(255)||

<a name="u_resource_pointer"></a>

* u_resource表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)||
|code|varchar(255)||
|name|varchar(255)||
|parent_id|varchar(255)||
|sort|int(11)||
|type|int(11)||
|url|varchar(255)||

<a name="u_role_pointer"></a>

* u_role表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|admin|int(11)||
|code|varchar(255)|编码|
|gmt_modified|datetime|修改时间|
|name|varchar(255)|名字|
|status|int(11)|状态|

<a name="u_role_resource_relation_pointer"></a>

* u_role_resource_relation表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|role_id|varchar(255)|角色id|
|resource_id|varchar(255)|角色拥有权限资源id|

<a name="u_shop_cart_pointer"></a>

* u_shop_cart表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|goods_id|varchar(255)|商品id|
|pid|varchar(255)|产品id|
|status|int(11)|状态|
|user_id|varchar(255)|用户id|

<a name="u_terminal_user_pointer"></a>

* u_terminal_user表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|campus_id|varchar(255)|校区id|
|code|varchar(255)|编码|
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|merchant_id|varchar(255)|渠道id|
|name|varchar(255)|终端名, 如：教室一|
|password|varchar(255)|明文密码, 为了数据中心改密码|
|serial_no|int(11)|终端流水号|
|status|int(11)|状态|
|uid|varchar(255)|用户原始id|

<a name="u_user_role_pointer"></a>

* u_user_role表()[↑](#返回顶部)

|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|role_id|varchar(255)|role id|
|user_id|varchar(255)|user id|

<a name="u_white_user_pointer"></a>

* u_white_user表()[↑](#返回顶部)
|字段名称|字段类型|字段含义|
|:---:|:---:|:---:|
|id|varchar(255)|id|
|user_id | varchar(255) | userId |
|gmt_created|timestamp|创建时间|
|gmt_modified|timestamp|修改时间|
|start_time|timestamp|开始时间|
|end_time|timestamp|结束时间, 为空表示永久有效|
|merchant_id|varchar(255)|渠道id|
|status|int(11)|状态|
