
### product table structure
>此表为产品

| field | type | null | default | desc | extra |
|----|:-----|:-------|:------|:-----|:-----|
| id | varchar(512) | no | | 订单id | pri |
| pid | varchar(512) | no | | product id, 课程/配套/课程包 id, | |
| code | varchar(512) | no | | 产品code | |
| name | varchar(1024) | no | | 名字 | |
| type | float | no | | product type | |
| gmt_created | unixStamp | no | | 订单创建时间 | | |


### order table structure
>此表为订单表

| field | type | null | default | desc | extra |
|----|:-----|:-------|:------|:-----|:-----|
| id | varchar(512) | no | | 订单id | pri |
| uid | varchar(512) | no | | 下单的终端用户id | |
| cms_uid | varchar(512) | no | | 下单管理员id |
| finalPrice | float | no | | 订单成交价格 | |
| adjustPrice | float | no | | 订单价格调整值 | |
| originPrice | float | no | | 订单原价 |
| status | int | no | | 订单状态 |
| note | text | no | '' | 下单备注 | |
| gmt_created | unixStamp | no | | 订单创建时间 | |

---

### order_product_relation table structure

| field | type | null | default | desc | extra |
|----|:-----|:-------|:------|:-----|:-----|
| id | varchar(512) | no | | 主键 | pri |
| order_id | varchar(512) | no | | 订单id |  |
| pid | varchar(512) | no | | 商品id |  |
| product_type | smallint | no | | 商品类型,{课程包，配套, 课程} |  |
| goods_id | varchar(512) | no | | 订单id |  |
| quantity | int | no | 0 | 购买的数量 | |
| gmt_created | timestamp | no | | 快照创建时间 | |

##### index
> index merchant_id, pkg_id, pid, uid


---

### product_sold_snapshot table structure
>此表为订单商品快照表, 对于课程包, 将课程包作为商品插入后(此时课程包id作为pid), 再将课程包内商品分解再插入一次(此时pkg_id为课程包id, pid为课程包内的商品id)

| field | type | null | default | desc | extra |
|----|:-----|:-------|:------|:-----|:-----|
| id | varchar(512) | no | | 主键 | pri |
| uid | varchar(512) | no | | 下单终端用户id |  |
| userCode | varchar(512) | no | | 下单终端用户学号 |  |
| userName | varchar(512) | no | | 下单终端用户名称 |  |
| campusId | varchar(512) | no | | 下单终端学校 |  |
| campusCode | varchar(512) | no | | 下单终端学校编号 |  |
| campusName | varchar(512) | no | | 下单终端学校名称 |  |
| order_id | varchar(512) | no | | 订单id |  |
| goods_id | varchar(512) | no | | 订单id |  |
| pkg_id | varchar | no | '' | 课程包id, 不为空则表示以package方式购买 |  |
| pid | varchar(512) | no | | 商品id |  |
| product_type | smallint | no | | 商品类型,{课程包，配套, 课程} |  |
| product_code | varchar(512) | no | | 商品code |  |
| product_name | varchar(512) | no | | 商品名称 |  |
| merchant_id | varchar(512) | no | | 渠道id |  |
| duration | int | no | | 时长 |  |
| cp_id | varchar(512) | yes | | cp id |  |
| cp_price | double(16,2) | no | 0 | 此订单成交时,内容提供商可获得价格, 当pkg_id不为空时，值为cpPriceInPackage | |
| merchant_price | double(16,2) | no | 0 | 给渠道价格, 当pkg_id不为空时，值为0 | |
| terminal_price | double(16,2) | no | 0 | 终端显示价格, 当pkg_id不为空时，值为0 | |
| charge_unit | varchar(512) | no | 0 | 计价单位 | |
| quantity | int | no | 0 | 购买的数量 | |
| gmt_created | timestamp | no | | 快照创建时间 | |

##### index
> index merchant_id, pkg_id, pid, uid

---

### package

| field | type | null | default | desc | extra |
|----|:-----|:-------|:------|:-----|:-----|
| id | varchar(512) | no | | 主键 | pri |
| code | varchar(1024) | yes | null | 课程包编号 | |
| name | varchar(1024) | no | '' | 课程包名 | |
| sort | int | no | 0 | 排序字段 | |
| status | smallint | no | | 状态 | |
| gmt_created | timestamp | no | now | 创建时间 | |
| gmt_modified | timestamp | no | now | 更新时间 | | |

##### index
> index merchant_id

---

### package_product_relation
> 此表为课程包与商品的对应关系表

| field | type | null | default | desc | extra |
|----|:-----|:-------|:------|:-----|:-----|
| id | varchar(512) | no | | 主键 | pri |
| pkg_id | varchar(512) | no | | 课程包id | |
| pid | varchar(512) | no | | | |
| cpPriceInPackage | float | no | | 产品在课程包内的cp价格 | |
| sort | int | no | | 顺序 | |
| status | smallint | no | | 状态 | |
| gmt_created | timestamp | no | now | 创建时间 | | |

##### index
> unique index (package_id, product_id)
